cURL
curl --request GET \
--url https://api.botpress.cloud/v1/chat/states/{type}/{id}/{name} \
--header 'Authorization: Bearer <token>' \
--header 'x-bot-id: <x-bot-id>'import requests
url = "https://api.botpress.cloud/v1/chat/states/{type}/{id}/{name}"
headers = {
"x-bot-id": "<x-bot-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-bot-id': '<x-bot-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.botpress.cloud/v1/chat/states/{type}/{id}/{name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"state": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"botId": "<string>",
"name": "<string>",
"payload": {},
"conversationId": "<string>",
"userId": "<string>"
},
"meta": {
"cached": true
}
}{
"state": {
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"botId": "<string>",
"name": "<string>",
"payload": {},
"conversationId": "<string>",
"userId": "<string>"
},
"meta": {
"cached": true
}
}getState
Retrieves the State object for a valid identifiers.
GET
/
v1
/
chat
/
states
/
{type}
/
{id}
/
{name}
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Bot id
Integration id
Integration alias
Path Parameters
Represents the resource type that the state is related to
Available options:
conversation, user, bot, integration, workflow Id of the State which will be either the botId, the userId or the conversationId
Name of the State which is declared inside the bot definition
Last modified on June 15, 2026
Was this page helpful?
⌘I